KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLAnchorElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

The anchor element. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#edef-A"> A element definition in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLAnchorElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | accessKey (self)
| blur (self)
DOM.DOMString | charset (self)
DOM.DOMString | coords (self)
| focus (self)
DOM.DOMString | href (self)
DOM.DOMString | hreflang (self)
DOM.DOMString | name (self)
DOM.DOMString | rel (self)
DOM.DOMString | rev (self)
| setAccessKey (self, DOM.DOMString a0)
| setCharset (self, DOM.DOMString a0)
| setCoords (self, DOM.DOMString a0)
| setHref (self, DOM.DOMString a0)
| setHreflang (self, DOM.DOMString a0)
| setName (self, DOM.DOMString a0)
| setRel (self, DOM.DOMString a0)
| setRev (self, DOM.DOMString a0)
| setShape (self, DOM.DOMString a0)
| setTabIndex (self, long a0)
| setTarget (self, DOM.DOMString a0)
| setType (self, DOM.DOMString a0)
DOM.DOMString | shape (self)
long | tabIndex (self)
DOM.DOMString | target (self)
DOM.DOMString | type (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLAnchorElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString accessKey | ( |  | self ) |

A single character access key to give access to the form control. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-accesskey"> accesskey attribute definition in HTML 4.0.

blur | ( |  | self ) |

Removes keyboard focus from this element.

Returns:

DOM.DOMString charset | ( |  | self ) |

The character encoding of the linked resource. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-charset"> charset attribute definition in HTML 4.0.

DOM.DOMString coords | ( |  | self ) |

Comma-separated list of lengths, defining an active region geometry. See also shape for the shape of the region. See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-coords"> coords attribute definition in HTML 4.0.

focus | ( |  | self ) |

Gives keyboard focus to this element.

Returns:

DOM.DOMString href | ( |  | self ) |

The URI of the linked resource. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-href"> href attribute definition in HTML 4.0.

DOM.DOMString hreflang | ( |  | self ) |

Language code of the linked resource. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-hreflang"> hreflang attribute definition in HTML 4.0.

DOM.DOMString name | ( |  | self ) |

Anchor name. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-name-A"> name attribute definition in HTML 4.0.

DOM.DOMString rel | ( |  | self ) |

Forward link type. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-rel"> rel attribute definition in HTML 4.0.

DOM.DOMString rev | ( |  | self ) |

Reverse link type. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-rev"> rev attribute definition in HTML 4.0.

setAccessKey | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see accessKey

setCharset | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see charset

setCoords | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see coords

setHref | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see href

setHreflang | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see hreflang

setName | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see name

setRel | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see rel

setRev | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see rev

setShape | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see shape

setTabIndex | ( | self, |
|  | long | a0
| ) |  |  |

see tabIndex

setTarget | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see target

setType | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see type

DOM.DOMString shape | ( |  | self ) |

The shape of the active area. The coordinates are given by coords . See the <a href="http://www.w3.org/TR/REC-html40/struct/objects.html#adef-shape"> shape attribute definition in HTML 4.0.

long tabIndex | ( |  | self ) |

Index that represents the element's position in the tabbing order. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-tabindex"> tabindex attribute definition in HTML 4.0.

DOM.DOMString target | ( |  | self ) |

Frame to render the resource in. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-target"> target attribute definition in HTML 4.0.

DOM.DOMString type | ( |  | self ) |

Advisory content type. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-type-A"> type attribute definition in HTML 4.0.